Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 957347 - Review Request: storeBackup - A very space efficient disk-to-disk backup suite
Summary: Review Request: storeBackup - A very space efficient disk-to-disk backup suite
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dridi Boukelmoune
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Ready
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-04-27 12:48 UTC by Christopher Meng
Modified: 2016-09-25 19:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-25 19:22:02 UTC
dridi.boukelmoune: fedora-review?


Attachments (Terms of Use)

Description Christopher Meng 2013-04-27 12:48:36 UTC
Spec URL: http://cicku.me/storeBackup.spec
SRPM URL: http://cicku.me/storeBackup-3.3.1-1.fc20.src.rpm
Description: storeBackup is a backup utility that stores files on other disks. 
It's able to compress data, and recognize copying and moving of files 
and directories (deduplication), and unifies the advantages of 
traditional full and incremental backups. It can handle big image files 
with block-wise changes efficiently. Depending on its contents, 
every file is stored only once on disk. Tools for analyzing 
backup data and restoring are provided. Once archived, files 
are accessible by mounting file systems (locally, or via Samba or NFS). 
It is easy to install and configure. Additional features are 
backup consistency checking, offline backups, and replication of backups.
Fedora Account System Username: cicku

Comment 1 Michael Schwendt 2013-06-15 16:47:07 UTC
> AutoReq:           no

Why?

That's really so unusual, you ought to give the rationale in the spec file.


$ storeBackup
Can't locate checkParam2.pl in @INC (@INC contains: /usr/lib /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/bin/storeBackup line 96.


> %files
> …
> %{_libdir}/*
> %{_bindir}/*

%_libdir sounds like the wrong location of Perl scripts. Most likely you wanted /usr/lib instead. And they aren't stored in a subdirectory either.

$ rpmls storeBackup|grep lib64
-rw-r--r--  /usr/lib64/checkObjPar.pl
-rw-r--r--  /usr/lib64/checkParam2.pl
-rw-r--r--  /usr/lib64/dateTools.pl
-rw-r--r--  /usr/lib64/evalTools.pl
-rw-r--r--  /usr/lib64/fileDir.pl
-rw-r--r--  /usr/lib64/forkProc.pl
-rw-r--r--  /usr/lib64/humanRead.pl
-rw-r--r--  /usr/lib64/prLog.pl
-rw-r--r--  /usr/lib64/splitLine.pl
-rwxr-xr-x  /usr/lib64/stbuLog.pl
-rwxr-xr-x  /usr/lib64/stbuMd5Exec.pl
-rwxr-xr-x  /usr/lib64/stbuMd5cp.pl
-rw-r--r--  /usr/lib64/storeBackupLib.pl
-rw-r--r--  /usr/lib64/tail.pl
-rw-r--r--  /usr/lib64/version.pl

Comment 2 Till Maas 2013-07-06 10:43:49 UTC
see comment:1

Comment 3 Christopher Meng 2013-07-06 11:37:14 UTC
There are some problem with perl dep filtering, I may fix later.

Comment 4 Christopher Meng 2013-09-26 23:40:05 UTC
Spec URL: http://cicku.me/storeBackup.spec
SRPM URL: http://cicku.me/storeBackup-3.4.2-1.fc21.src.rpm

Comment 5 Christopher Meng 2013-09-27 02:35:31 UTC
(In reply to Till Maas from comment #2)
> see comment:1

Fixed now.

Comment 6 Dridi Boukelmoune 2014-01-11 11:19:58 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 2088960 bytes in 6 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
- Use of hardcoded /usr/bin in the %prep section
  Maybe this is simpler : sed -i '1c #!%{_bindir}/perl' bin/*
  By the way, why not keeping the original shebangs ?
- Shoudn't you use perl_default_filter and __requires_exclude instead ?
  Guidelines don't mention direct use of __perl_requires
- Could scripts in %{_libdir} move to %{_libdir}/%{name} ?
  Also %{_libdir}/stbu*.pl can be executed (they have a #!shebang)
- 3.4.3 is available

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/dridi/fedora/_reviews/957347-storeBackup/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: storeBackup-3.4.2-1.fc21.noarch.rpm
          storeBackup-3.4.2-1.fc21.src.rpm
storeBackup.noarch: W: spelling-error %description -l en_US deduplication -> reduplication, duplication, quadruplication
storeBackup.noarch: W: only-non-binary-in-usr-lib
storeBackup.noarch: W: no-manual-page-for-binary storeBackupReplicationWizard.pl
storeBackup.src: W: spelling-error %description -l en_US deduplication -> reduplication, duplication, quadruplication
storeBackup.src: W: invalid-url Source0: http://download.savannah.gnu.org/releases/storeBackup/storeBackup-3.4.2.tar.bz2 HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint storeBackup
storeBackup.noarch: W: spelling-error %description -l en_US deduplication -> reduplication, duplication, quadruplication
storeBackup.noarch: W: only-non-binary-in-usr-lib
storeBackup.noarch: W: no-manual-page-for-binary storeBackupReplicationWizard.pl
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
storeBackup (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/perl
    bzip2
    e2fsprogs
    perl(:MODULE_COMPAT_5.18.1)
    perl(DB_File)
    perl(Digest::MD5)
    perl(Fcntl)
    perl(File::Copy)
    perl(IO::Handle)
    perl(Net::Ping)
    perl(POSIX)
    perl(strict)
    perl(warnings)



Provides
--------
storeBackup:
    storeBackup



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 957347
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 7 Christopher Meng 2014-01-13 06:00:41 UTC
This is a old version, I fixed up all errors but forgot to upload again.

I will merge your reviews with local one and upload them later.

Thanks!

Comment 8 Christopher Meng 2014-01-13 06:15:36 UTC
s@/a/@/an/@.

Sorry for the brevity on phone.

Comment 9 Christopher Meng 2014-01-13 10:31:31 UTC
(In reply to Dridi Boukelmoune from comment #6)
> - Could scripts in %{_libdir} move to %{_libdir}/%{name} ?
>   Also %{_libdir}/stbu*.pl can be executed (they have a #!shebang)

I'm afraid I don't have plan to move them to subdir currently. As this need me to patch the software, I'm not sure if I'm proper to do that. Can you tell me the advantages?

Thanks.

Comment 10 Dridi Boukelmoune 2014-01-21 22:42:51 UTC
(In reply to Christopher Meng from comment #9)
> I'm afraid I don't have plan to move them to subdir currently. As this need
> me to patch the software, I'm not sure if I'm proper to do that. Can you
> tell me the advantages?

The main advantage I see is isolation, because those look like internal libraries. They are not meant to be used by other packages. You can maybe involve upstream or the Perl SIG regarding this matter.

Comment 11 Dridi Boukelmoune 2016-09-25 19:22:02 UTC
Closing after remembering of Josh Boyer's email from Feb 19th:

> In today's FESCo meeting, FESCo agreed to orphan all of Christoper
> Meng's packages on February 26, 2016 at 17:00 UTC if there was no
> further contact from Christopher.  Normally we would not necessarily
> pre-announce an oprhaning action, however the number of packages in
> question is quite large.  He is the point of contact for 230 packages.


Note You need to log in before you can comment on or make changes to this bug.